Subject: [clisp-list] Abuse Message

From: Randall R Schulz <[email-masked]>
Date: Sun Aug 4 08:21:04 2002

Hi,

Sorry again.

The "Email abuse" message I referred to was not sent to the list, just to 
me, but my mail filters mistakenly put it in my CLISP mailing list mailbox. 
I should have realized that fact owing to the absence of the "[clisp-list]" 
tag in the "Subject:" header.

Has anyone else been branded an "Email abuser" by 
[email-masked], [email-masked] and / or 
[email-masked]?

It seems a single repeated message is an overly sensitive criteria for such 
a condemnation...

Randy

---

From: Kaz Kylheku <[email-masked]>
Date: Sun Aug 4 10:59:12 2002

> It seems a single repeated message is an overly sensitive criteria for such 

Relax, it's probably just some filtering software. I hope zamansky
realizes, as I once did, that mail filters which send replies are
intractable, an that two copies are not unusual from a mailing
list.

You never know where the auto reply will go, since the return address
can be forged. Imagine if everyone had such a filter, and then a whole
lot of spammers decided they were going to forge messages from a single
mailbox. That destination would be subject to an effective DDoS from
all the auto-reply filters.

That's not the only problem. Auto replying can create mail routing
loops. You can be clever with X-Loop headers, but what if something
in the loop munges them?

A while ago I wrote a cookie-based e-mail authentication system (in
Lisp, of course) that could be installed as a filter under procmail.
The algorithm worked, but it created too many problems. There
are just too many kinds of things you can receive that must be
exempt from such processing---such as, for instance, complaints and
threats from sysadmins of networks you've never heard of about turning
off your goddamned mail authentication sript or we will blackhole
your network block. :)

-- 
Meta-CVS: solid version control tool with directory structure versioning. 
http://users.footprints.net/~kaz/mcvs.html  http://freshmeat.net/projects/mcvs